net.i2p.util

## Class EepGet.CLIStatusListener

- java.lang.Object
- - net.i2p.util.EepGet.CLIStatusListener

- All Implemented Interfaces:
    EepGet.StatusListener
  Enclosing class:
    EepGet

      protected class EepGet.CLIStatusListener
      extends Object
      implements EepGet.StatusListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EepGet.CLIStatusListener()`
    `EepGet.CLIStatusListener(int markSize, int lineSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attemptFailed(String url, long bytesTransferred, long bytesRemaining, int currentAttempt, int numRetries, Exception cause)`
    `void` | `attempting(String url)`
    `void` | `bytesTransferred(long alreadyTransferred, int currentWrite, long bytesTransferred, long bytesRemaining, String url)` alreadyTransferred - total of all attempts, not including currentWrite If nonzero on the first call, a partial file of that length was found, _and_ the server supports resume.
    `void` | `headerReceived(String url, int currentAttempt, String key, String val)`
    `void` | `transferComplete(long alreadyTransferred, long bytesTransferred, long bytesRemaining, String url, String outputFile, boolean notModified)`
    `void` | `transferFailed(String url, long bytesTransferred, long bytesRemaining, int currentAttempt)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EepGet.CLIStatusListener

          public EepGet.CLIStatusListener()

    - #### EepGet.CLIStatusListener

          public EepGet.CLIStatusListener(int markSize,
                                  int lineSize)

  - ### Method Detail

    - #### bytesTransferred

          public void bytesTransferred(long alreadyTransferred,
                              int currentWrite,
                              long bytesTransferred,
                              long bytesRemaining,
                              String url)

      Description copied from interface: `EepGet.StatusListener`
      alreadyTransferred - total of all attempts, not including currentWrite If nonzero on the first call, a partial file of that length was found, _and_ the server supports resume. If zero on a subsequent call after some bytes are transferred (and presumably after an attemptFailed), the server does _not_ support resume and we had to start over. To track _actual_ transfer if the output file could already exist, the listener should keep its own counter, or subtract the initial alreadyTransferred value. And watch out for alreadyTransferred resetting if a resume failed... currentWrite - since last call to the listener bytesTransferred - includes headers, retries, redirects, discarded partial downloads, ... bytesRemaining - on this attempt only, currentWrite already subtracted - or -1 if chunked encoding or server does not return a length Total length should be == alreadyTransferred + currentWrite + bytesRemaining for all calls
      Specified by:
        `bytesTransferred` in interface `EepGet.StatusListener`

    - #### transferComplete

          public void transferComplete(long alreadyTransferred,
                              long bytesTransferred,
                              long bytesRemaining,
                              String url,
                              String outputFile,
                              boolean notModified)

      Specified by:
        `transferComplete` in interface `EepGet.StatusListener`

    - #### attemptFailed

          public void attemptFailed(String url,
                           long bytesTransferred,
                           long bytesRemaining,
                           int currentAttempt,
                           int numRetries,
                           Exception cause)

      Specified by:
        `attemptFailed` in interface `EepGet.StatusListener`

    - #### transferFailed

          public void transferFailed(String url,
                            long bytesTransferred,
                            long bytesRemaining,
                            int currentAttempt)

      Specified by:
        `transferFailed` in interface `EepGet.StatusListener`

    - #### attempting

          public void attempting(String url)

      Specified by:
        `attempting` in interface `EepGet.StatusListener`

    - #### headerReceived

          public void headerReceived(String url,
                            int currentAttempt,
                            String key,
                            String val)

      Specified by:
        `headerReceived` in interface `EepGet.StatusListener`